PHP Manual
Prev |  | Next

# zend_zval_type_name

zend_zval_type_name -- Returns the PHP type name for a given zval

## Description

#include <zend_API.h>

char* zend_zval_type_name ( zval* arg )

zend_zval_type_name() returns the PHP typename for the current value of the zval pointed to by arg.

## Parameters

arg

  A pointer to the zval to be examined.

## Return Values

A pointer to a static PHP typename string.

Prev | Home | Next
zend_wrong_param_count | Up | zval_add_ref